Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class Pen

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.graphics.Pen

public class Pen
extends com.beanexplorer.beans.Option

Field Summary
`protected java.awt.Color` | `color`
`protected java.awt.BasicStroke` | `stroke`
`protected float` | `width`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Pen(java.awt.BasicStroke stroke, java.awt.Color col)`
`Pen(float width)`
`Pen(float width, java.awt.Color col)`

Method Summary
`java.awt.Color` | `getColor()`
`java.awt.BasicStroke` | `getStroke()`
`float` | `getWidth()`
`void` | `setColor(java.awt.Color color)`
`void` | `setStroke(java.awt.BasicStroke stroke)`
`void` | `setWidth(float width)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### width

    protected float width

### color

    protected java.awt.Color color

### stroke

    protected java.awt.BasicStroke stroke

Constructor Detail

### Pen

    public Pen(java.awt.BasicStroke stroke,
               java.awt.Color col)

### Pen

    public Pen(float width,
               java.awt.Color col)

### Pen

    public Pen(float width)

Method Detail

### getWidth

    public float getWidth()

### setWidth

    public void setWidth(float width)

### getColor

    public java.awt.Color getColor()

### setColor

    public void setColor(java.awt.Color color)

### getStroke

    public java.awt.BasicStroke getStroke()

### setStroke

    public void setStroke(java.awt.BasicStroke stroke)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.